#
# spec file for package pam_smb
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pam_smb
BuildRequires:  libtool
BuildRequires:  pam-devel
Version:        2.0.0rc6
Release:        178.5
Summary:        A PAM Module for User Authentication using an NT Server
License:        LGPL-2.1+
Group:          Productivity/Security
Url:            http://www.csn.ul.ie/~airlied/pam_smb/
Source:         %{name}-%{version}.tar.bz2
Source1:        rc.pamsmbd
Source2:        login.example
Source3:        baselibs.conf
Patch:          %{name}-%{version}.patch
Patch2:         %{name}-%{version}-daemon-fix.patch
Patch3:         %{name}-%{version}-gcc-fix.patch
Patch4:         %{name}-%{version}-configure.patch
Patch5:         %{name}-%{version}-array-fix.patch
Patch6:         %{name}-%{version}-invalid-flag.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         coreutils sed grep diffutils fillup

%description
Module pam_smb is a PAM module which allows authentication of UNIX
users using an NT server.

%prep
%setup -q -n %{name}-2.0.0-rc6
%patch
%patch2
%patch3
%patch4
%patch5
%patch6
cp %{S:2} .

%build
libtoolize -f
aclocal
autoconf
%configure
make %{?_smp_mflags}

%install
install -d 755 $RPM_BUILD_ROOT/%{_lib}/security
install -d 755 $RPM_BUILD_ROOT/{etc/init.d,usr/sbin}
install -m 755 pamsmbm/pam_smb_auth.so $RPM_BUILD_ROOT/%{_lib}/security
install -m 755 pamsmbd/pamsmbd $RPM_BUILD_ROOT/usr/sbin/
install -m 644 pam_smb.conf.example $RPM_BUILD_ROOT/etc/pam_smb.conf
install -m 755 %{S:1} $RPM_BUILD_ROOT/etc/init.d/pamsmbd
ln -sf ../../etc/init.d/pamsmbd $RPM_BUILD_ROOT/usr/sbin/rcpamsmbd

%post
%{fillup_and_insserv pamsmbd}

%preun
%stop_on_removal pamsmbd

%postun
%restart_on_update pamsmbd
%insserv_cleanup

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README TODO login.example
%config /etc/pam_smb.conf
/%{_lib}/security/pam_smb_auth.so
%config /etc/init.d/*
%{_sbindir}/*

%changelog
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Nov 25 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Jun 24 2009 sbrabec@suse.cz
- Supplement pam-32bit/pam-64bit in baselibs.conf (bnc#354164).
* Tue Apr 22 2008 prusnak@suse.cz
- fixed invalid flag conditional (invalid-flag.patch) [bnc#380051]
- added post/preun/postun scripts for pamsmbd service
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Feb 20 2006 postadal@suse.cz
- fixed array subscript out of range [#152039] (array-fix.patch)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 ro@suse.de
- fix syntax error in configure.in
* Thu Sep 22 2005 postadal@suse.cz
- fixed gcc issues (strict aliasing, implicit declaration)
* Wed Jan 26 2005 postadal@suse.cz
- updated to version 2.0.0rc6
* Tue Apr 20 2004 postadal@suse.cz
- fixed gcc issue
- fixed bug with daemonize pamsmbd (redirectig sdt* to /dev/null) [#39075]
* Wed Feb 18 2004 postadal@suse.cz
- fixed lib64 paths
* Tue Feb 17 2004 postadal@suse.cz
- removed bogus self-provides
* Mon Feb 16 2004 postadal@suse.cz
- updated to version 2.0.0rc5
  * caching support
  * username mapping of Unix usernames to NT usernames.
- fixed configure.in
- added rc.pamsmbd script, login.example and pamsmbd daemon
* Sat Jan 17 2004 ro@suse.de
- added pam-devel to neededforbuild
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Aug 20 2003 postadal@suse.cz
- fixed buffer overflow in the password handling code - CAN-2003-0686 [#28990]
* Mon Aug  4 2003 ro@suse.de
- use libdir for lib64 platforms
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Jun  6 2001 cihlar@suse.cz
- fixed to compile with new autoconf
* Fri Nov 10 2000 cihlar@suse.cz
- added suse_update_config
- bzipped sources
* Mon Sep 11 2000 cihlar@suse.cz
- update to version 1.1.6 with security bug fix
* Wed Apr 26 2000 cihlar@suse.cz
- added BuildRoot
* Tue Feb 15 2000 kukuk@suse.de
- Insert Group tag.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 16 1999 kukuk@suse.de
- First version.
